package com.hh.arome.lib_sscard;

import android.content.Context;
import android.util.Log;


import com.hh.arome.basecard.BaseSocialSecurityCardBean;
import com.hh.arome.basecard.BaseSocialSecurityCardReader;
import com.hh.arome.basecard.SocialSecurityCardConfig;
import com.hh.arome.basecard.listener.SimpleSocialSecurityCardResultListener;
import com.hh.lib_dx_base_multi.DxCardReader;


/**
 * @Description:
 * @author: Xia WeiHao
 * @date: 2024/6/24
 */
public class DX_SSCardReader extends BaseSocialSecurityCardReader {

    /**
     *
     * desc:启动轮询社保卡
     * @author xia weihao
     * @date 2024/6/26
     *
     */ 
    public void startRead() {
        DxCardReader.getInstance().setSocialSecurityCardResultListener(new SimpleSocialSecurityCardResultListener() {
            @Override
            public void onSuccess(BaseSocialSecurityCardBean data) {
                if (listener != null) {
                    listener.onSuccess(data);
                }
            }

            @Override
            public void onFail(String errMsg) {
                if (listener != null) {
                    listener.onFail(errMsg);
                }
                super.onFail(errMsg);
            }

            @Override
            public void onInfoLog(String infoMsg) {

            }
        });


    }

    /**
     *
     * desc:停止轮询读取社保卡
     * @author xia weihao
     * @date 2024/6/26
     *
     */ 
    public void stopRead() {
        DxCardReader.getInstance().setSocialSecurityCardResultListener(null);
    }



    /**
     *
     * desc:销毁资源
     * @author xia weihao
     * @date 2024/6/26
     *
     */ 
    @Override
    public void release(Context context) {
        stopRead();
    }
}
